#ifndef ShapeDocument_First
#define ShapeDocument_First

#include "Document.h"
#include "ShapeView.h"

extern Symbol cDocTypeShapes;

//---- ShapeDocument ---------------------------------------------------------+

class ShapeDocument: public Document {
    ShapeView *view;
public:
    MetaDef(ShapeDocument);
    ShapeDocument() : Document(cDocTypeShapes)
        { }
    ~ShapeDocument()
        { SafeDelete(view); }

    Window *DoMakeWindows();
    void DoWrite(ostream &s, int o)
        { Document::DoWrite(s, o); view->PrintOn(s); }
    void DoRead(istream &s, FileType *ft)
        { Document::DoRead(s, ft); view->ReadFrom(s); }
};


#endif ShapeDocument_First
