//
// Threeshape with dialog
//
// 11.12.91 Ch.Frei
//



#include "ET++.h"

#include "ShapeDocument.h"

static char *aboutMsg=
"Extended version of @Btwoshapes@P illustrating a dialog box";

int cMAXINKS = 50;

Ink *palette[cMAXINKS];

Symbol cDocTypeShapes("TWOSHAPES");



//---- ShapeApplication --------------------------------------------------------

class ShapeApp: public Application {
public:
    MetaDef(ShapeApp);

    ShapeApp(int argc, char *argv[]);
    ~ShapeApp();
    Document *DoMakeDocuments(Symbol)
        { return new ShapeDocument(); }
    void About()
        { ShowAlert(eAlertNote, aboutMsg); }
};

MetaImpl0(ShapeApp);

ShapeApp::ShapeApp(int argc, char *argv[]) : Application(argc, argv, cDocTypeShapes)
{
    ApplInit();

    palette[0]= ePatWhite;
    palette[1]= new RGBColor((float)0.75);
    palette[2]= new RGBColor((float)0.5);
    palette[3]= new RGBColor((float)0.25);
    palette[4]= ePatBlack;
    palette[5]= ePat00;
    palette[6]= ePat01;
    palette[7]= ePat02;
    palette[8]= new RGBColor(255, 0, 0);
    palette[9]= new RGBColor(0, 255, 0);
    palette[10]= new RGBColor(0, 0, 255);
}

ShapeApp::~ShapeApp()
{
    SafeDelete(palette[1]);
    SafeDelete(palette[2]);
    SafeDelete(palette[3]);
    SafeDelete(palette[8]);
    SafeDelete(palette[9]);
    SafeDelete(palette[10]);
}

//---- main --------------------------------------------------------------------

main(int argc, char *argv[])
{
    return ShapeApp(argc, argv).Run();
}

