
#include "ET++.h"
#include "ShapeCommand.h"

//---- PatternCommand ----------------------------------------------------------

MetaImpl(PatternCommand, (TP(shape), T(oldPattern), T(newPattern)));

PatternCommand::PatternCommand(Shape *s, int newpat) : Command("set ink")
{
    shape= s;
    newPattern= newpat;
    oldPattern= shape->GetPattern();
}

//---- PatternMenuItem ---------------------------------------------------------

MetaImpl(PatternMenuItem, (T(ink)));
