#ifndef ShapeDialog_First
#define ShapeDialog_First

#include "Dialog.h"
#include "DialogItems.h"
#include "Shapes.h"

//---- ShapeDialog -------------------------------------------------------------

class ShapeDialog : public Dialog {
    OneOfCluster *pattern;
    char *title;
    Shape *shape;
    int ink;
public:
    MetaDef(ShapeDialog);

    ShapeDialog(char *t) : Dialog(t, eBWinBlock)
        { title = t; }
    ~ShapeDialog()
        {}

    VObject *DoCreateDialog();
    void DoSetup();
    void DoSetDefaults();
    void DoSave();
    void DoRestore();
    void DoStore();
    void Show(Shape *sh)
    	{ shape = sh; Dialog::Show(); }
};

#endif ShapeDialog_First
